JavaServiceImplWriter (Axis API)
Keywords: org.apache.axis.wsdl.toJava.JavaServiceImplWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaServiceImplWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaClassWriter
              org.apache.axis.wsdl.toJava.JavaServiceImplWriter

All Implemented Interfaces:
  Generator

public class JavaServiceImplWriter
extends JavaClassWriter

This is Wsdl2java's service implementation writer. It writes the Locator.java file.

Field Summary

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, LINE_LENGTH, type`

Constructor Summary
`protected` | `JavaServiceImplWriter(Emitter emitter, ServiceEntry sEntry, SymbolTable symbolTable)` Constructor.

Method Summary
`protected java.lang.String` | `getExtendsText()` Returns "extends org.apache.axis.client.Service ".
`protected java.lang.String` | `getImplementsText()` Returns "implements ".
`protected void` | `writeAddressInfo(java.io.PrintWriter pw, java.lang.String portName, java.lang.String address, javax.wsdl.Port p)` Write the private address field for this port and the public getter for it.
`protected void` | `writeConstructors(java.io.PrintWriter pw)` write Constructors
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the service file.
`protected void` | `writeGetPortClass(java.io.PrintWriter pw, java.util.Vector getPortIfaces, java.util.Vector getPortStubClasses, java.util.Vector getPortPortNames, boolean printGetPortNotice)` Write the getPort(Class serviceInterfaceWriter) method.
`protected void` | `writeGetPortName(java.io.PrintWriter pw, java.lang.String bindingType, java.lang.String portName)` Write the get() method.
`protected void` | `writeGetPortNameURL(java.io.PrintWriter pw, java.lang.String bindingType, java.lang.String portName, java.lang.String stubClass, java.lang.String wsddServiceName)` Write the get(URL) method.
`protected void` | `writeGetPortQNameClass(java.io.PrintWriter pw, java.util.Vector getPortPortNames, java.util.Vector getPortPortXmlNames)` Write the getPort(QName portName, Class serviceInterfaceWriter) method.
`protected void` | `writeGetPorts(java.io.PrintWriter pw, java.lang.String namespaceURI, java.util.Vector portNames)` Write the getPorts method.
`protected void` | `writeGetServiceName(java.io.PrintWriter pw, QName qname)` Write the getServiceName method.
`protected void` | `writeSetEndpointAddress(java.io.PrintWriter pw, java.util.Vector portNames)` Write the setEndpointAddress(String portName, String newAddress) and setEndpointAddress(QName portName, String newAddress) methods.
`protected void` | `writeSetPortEndpointAddress(java.io.PrintWriter pw, java.lang.String portName)` Write the setEndpointAddress(String) method.
`protected void` | `writeWSDDServiceNameInfo(java.io.PrintWriter pw, java.lang.String wsddServiceName, java.lang.String portName, java.lang.String portXmlName)` Write the private WSDD service name field and the public accessors for it.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getClassText, getFileName, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, generate, getJavadocDescriptionPart, getPrintWriter, isFileGenerated, verboseMessage, writeComment, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaServiceImplWriter

    protected JavaServiceImplWriter(Emitter emitter,
                                    ServiceEntry sEntry,
                                    SymbolTable symbolTable)

  Constructor.

Parameters:
  `emitter` -
  `sEntry` -
  `symbolTable` -

Method Detail

### getExtendsText

    protected java.lang.String getExtendsText()

  Returns "extends org.apache.axis.client.Service ".

  Overrides:
    `getExtendsText` in class `JavaClassWriter`
  Returns:

### getImplementsText

    protected java.lang.String getImplementsText()

  Returns "implements ".

  Overrides:
    `getImplementsText` in class `JavaClassWriter`
  Returns:

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the service file.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### writeConstructors

    protected void writeConstructors(java.io.PrintWriter pw)

  write Constructors

  Parameters:
    `pw` -

### writeAddressInfo

    protected void writeAddressInfo(java.io.PrintWriter pw,
                                    java.lang.String portName,
                                    java.lang.String address,
                                    javax.wsdl.Port p)

  Write the private address field for this port and the public getter for it.

  Parameters:
    `pw` -
    `portName` -
    `address` -
    `p` -

### writeWSDDServiceNameInfo

    protected void writeWSDDServiceNameInfo(java.io.PrintWriter pw,
                                            java.lang.String wsddServiceName,
                                            java.lang.String portName,
                                            java.lang.String portXmlName)

  Write the private WSDD service name field and the public accessors for it.

  Parameters:
    `pw` -
    `wsddServiceName` -
    `portName` -

### writeGetPortName

    protected void writeGetPortName(java.io.PrintWriter pw,
                                    java.lang.String bindingType,
                                    java.lang.String portName)

  Write the get() method.

  Parameters:
    `pw` -
    `bindingType` -
    `portName` -

### writeGetPortNameURL

    protected void writeGetPortNameURL(java.io.PrintWriter pw,
                                       java.lang.String bindingType,
                                       java.lang.String portName,
                                       java.lang.String stubClass,
                                       java.lang.String wsddServiceName)

  Write the get(URL) method.

  Parameters:
    `pw` -
    `bindingType` -
    `portName` -
    `stubClass` -
    `wsddServiceName` -

### writeSetPortEndpointAddress

    protected void writeSetPortEndpointAddress(java.io.PrintWriter pw,
                                               java.lang.String portName)

  Write the setEndpointAddress(String) method.

  Parameters:
    `pw` -
    `portName` -

### writeGetPortClass

    protected void writeGetPortClass(java.io.PrintWriter pw,
                                     java.util.Vector getPortIfaces,
                                     java.util.Vector getPortStubClasses,
                                     java.util.Vector getPortPortNames,
                                     boolean printGetPortNotice)

  Write the getPort(Class serviceInterfaceWriter) method.

  Parameters:
    `pw` -
    `getPortIfaces` -
    `getPortStubClasses` -
    `getPortPortNames` -
    `printGetPortNotice` -

### writeGetPortQNameClass

    protected void writeGetPortQNameClass(java.io.PrintWriter pw,
                                          java.util.Vector getPortPortNames,
                                          java.util.Vector getPortPortXmlNames)

  Write the getPort(QName portName, Class serviceInterfaceWriter) method.

  Parameters:
    `pw` -
    `getPortPortNames` -

### writeGetServiceName

    protected void writeGetServiceName(java.io.PrintWriter pw,
                                       QName qname)

  Write the getServiceName method.

  Parameters:
    `pw` -
    `qname` -

### writeGetPorts

    protected void writeGetPorts(java.io.PrintWriter pw,
                                 java.lang.String namespaceURI,
                                 java.util.Vector portNames)

  Write the getPorts method.

  Parameters:
    `pw` -
    `portNames` -

### writeSetEndpointAddress

    protected void writeSetEndpointAddress(java.io.PrintWriter pw,
                                           java.util.Vector portNames)

  Write the setEndpointAddress(String portName, String newAddress) and setEndpointAddress(QName portName, String newAddress) methods.

  Parameters:
    `pw` -
    `portNames` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.